Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.actions
Class FileSystemAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.actions.FileSystemAction

All Implemented Interfaces:
  ActionListener, Externalizable, Serializable, EventListener, Action, Presenter, Presenter.Menu, Presenter.Popup, ContextAwareAction, HelpCtx.Provider

    public class FileSystemAction

extends SystemAction
implements ContextAwareAction, Presenter.Menu, Presenter.Popup

Action that presents standard file system-related actions. Listens until a node representing a `DataObject` is selected and then retrieves `SystemAction`s from its `FileSystem`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Popup, Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`FileSystemAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`Action` | `createContextAwareInstance(Lookup actionContext)` Implements `ContextAwareAction` interface method.
`HelpCtx` | `getHelpCtx()`
`JMenuItem` | `getMenuPresenter()`
`String` | `getName()`
`JMenuItem` | `getPopupPresenter()`

Methods inherited from class org.openide.util.actions.SystemAction
`clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, iconResource, initialize, isEnabled, linkActions, putValue, setEnabled, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removeNotify, removePropertyChangeListener, reset, writeExternal, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Constructor Detail

### FileSystemAction

    public FileSystemAction()

Method Detail

### getMenuPresenter

    public JMenuItem getMenuPresenter()

  Specified by:
    `getMenuPresenter` in interface `Presenter.Menu`

### getPopupPresenter

    public JMenuItem getPopupPresenter()

  Specified by:
    `getPopupPresenter` in interface `Presenter.Popup`

### getName

    public String getName()

  Specified by:
    `getName` in class `SystemAction`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Specified by:
    `getHelpCtx` in class `SystemAction`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `SystemAction`

### createContextAwareInstance

    public Action createContextAwareInstance(Lookup actionContext)

  Implements `ContextAwareAction` interface method.

  Specified by:
    `createContextAwareInstance` in interface `ContextAwareAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.